
public class clsLifeController
{
    clsLifeWorld theWorld;
    
    
    public clsLifeController(int x, int y)
    {
        theWorld = new clsLifeWorld(x,y);        
    }
    
    public void setCellStatus(int x, int y, boolean status)
    {
        theWorld.setCellStatus(x, y, status);
    }
    
    public boolean getCellStatus(int x, int y)
    {
        return theWorld.getCellStatus(x, y);
    }
    
    public int getWidth()
    {
        return theWorld.getWidth();
    }
    
    public int getHeight()
    {
        return theWorld.getHeight();
    }
    
    public int move()
    {
        int i;  //Laufvariablen
        int j;
		int TestSumme=0;
        boolean status;

        for (i = 0; i < theWorld.getWidth()-1; i++)
        {
            for (j = 0; j < theWorld.getHeight()-1; j++)
            {
                status = theWorld.getCellStatus(i, j);

				if (status) //Zelle lebt
                {
                    if ((theWorld.getNumberOfLivingNeighbours(i, j) < 2) || 
                       (theWorld.getNumberOfLivingNeighbours(i, j) > 3)) // Zelle vereinsamt oder stirbt an Futtermangel
                    {
                        theWorld.setCellStatus(i, j, false);
                    }
                    else //Zelle bleibt am Leben
                    {
                        theWorld.setCellStatus(i, j, true);
                    }
                }
                else //Zelle lebt nicht
                {
                    if (theWorld.getNumberOfLivingNeighbours(i, j) == 3) //Zelle wird geboren
                    {
                        theWorld.setCellStatus(i, j, true);
                    }
                    else // Zelle bleibt tot
                    {
                        theWorld.setCellStatus(i, j, false);
                    }
                } 
            } //for j
        } //for i 
		theWorld.commitChanges();
		return TestSumme;
    }

	public void commitChanges()
	{
		theWorld.commitChanges();
	}
}