
public class clsLifeWorld
{
    private int Width;  //Anzahl der Felder in der Breite
    private int Height; //Anzahl der Felder in der Hhe
    
    private boolean [][] oldWorld;
    private boolean [][] newWorld;
    
    public clsLifeWorld(int x, int y)
    {
        Width = x;
        Height = y;
        
        oldWorld = new boolean [x][y];
        newWorld = new boolean [x][y];
    }
    
    public boolean getCellStatus(int x, int y)
    {
        return oldWorld[x][y];
    }
        
    public void setCellStatus(int x, int y, boolean status)
    {
        newWorld[x][y] = status;
    }
    
    public int getWidth()
    {
        return Width;
    }
    
    public int getHeight()
    {
        return Height;
    }
    
    public void commitChanges()
    {
        oldWorld = newWorld;
    }
    
    public int getNumberOfLivingNeighbours(int x, int y)
    {
        int Zaehler = 0;

		if (x>0)
		{
			if (oldWorld[x-1][y]) Zaehler++;
		}
		if ((x>0)&&(y>0))
		{
			if (oldWorld[x-1][y-1]) Zaehler++;
		}
		if (y>0)
		{
        	if (oldWorld[x][y-1]) Zaehler++;
		}
		if ((x<Width-1)&&(y>0))
		{
        	if (oldWorld[x+1][y-1]) Zaehler++;
		}
		if (x<Width-1)
		{
        	if (oldWorld[x+1][y]) Zaehler++;
		}
		if ((x<Width-1)&&(y<Height-1))
		{
        	if (oldWorld[x+1][y+1]) Zaehler++;
		}
		if (y<Height-1)
		{
        	if (oldWorld[x][y+1]) Zaehler++;
		}
		if ((x>0)&&(y<Height-1))
		{
			if (oldWorld[x-1][y+1]) Zaehler++;
		}
        
        return Zaehler;
    }
}